function g = gradient(x,Tt)
[m,n] = size(x);
delta = sqrt(eps) * ones(1,n);
x_ = repmat(x,n,m) + diag(delta);
y_ = zeros(m,n);
for i = 1:n
    y_(i) = objective(x_(i,:),Tt);
end
g = (y_-repmat(objective(x,Tt),m,n)) ./ delta;